typedef struct {
	unsigned char *color_pairs;
	unsigned char *color_quads;
	unsigned char *color_octets;
	
	int color_pair_index;
	int color_quad_index;
	int color_octet_index;
} smc_context;


smc_context* qt_init_decode_smc(void);

int qt_decode_smc(
  smc_context *context,
  unsigned char *encoded,
  int encoded_size,
  unsigned char *decoded,
  int pixel_width,
  int pixel_height,
  oqt_ctab_t *ctab,
  int bytes_per_pixel);


/*oqt_uint32
QT_Decode_SMC(oqt_uint8 *image, oqt_uint8 *delta,
oqt_uint32 dsize, oqt_uint32 imagex, oqt_uint32 imagey);*/