/* cinepak.h
 * Copyright (C) 2002 OpenQuicktime Team
 *
 * This file is part of OpenQuicktime, a free QuickTime library.
 *
 * OpenQuicktime is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * OpenQuicktime is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: cinepak.h,v 1.2 2002/10/28 13:51:12 nj_humfrey Exp $
 */


// Prototypes from cinepak_decode.c
void *decode_cinepak_init(void);

void decode_cinepak(void *context, unsigned char *buf,
					int size, unsigned char *frame, int width,
					int height, int bit_per_pixel, int frm_stride);

